image:
  pullPolicy: Always
  tag: {{ cloudstack.plugins.portainer.config.image.version }}
enterpriseEdition: 
  enabled: false
  image:
    repository: portainer/portainer-ee
    tag: 2.7.0
    pullPolicy: Always
{% if cloudstack.stack.exposed|bool %}
ingress:
  enabled: true
  annotations:
    kubernetes.io/ingress.class: "nginx"
{% if cloudstack.stack.tls|bool and 'letsencrypt' in cloudstack.stack.plugins %}
    kubernetes.io/tls-acme: "true"
    acme.cert-manager.io/http01-ingress-class: "nginx"
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.enabled|bool %}
    cert-manager.io/cluster-issuer: "cloudstack-dns01"
{% elif cloudstack.plugins.letsencrypt.config.issuers.http01.enabled|bool %}
    cert-manager.io/cluster-issuer: "letsencrypt-{{ cloudstack.plugins.letsencrypt.config.environment }}"
{% endif %}
  tls:
    - hosts:
      - "{{ cloudstack.plugins.portainer.subdomain }}.{{ cloudstack.stack.hostname }}"
      secretName: "portainer-tls"
{% endif %}
  hosts:
    - host: "{{ cloudstack.plugins.portainer.subdomain }}.{{ cloudstack.stack.hostname }}"
      paths:
        - path: "/"
{% endif %}